在CentOS6上,默认安装的Python版本是2.6,然而有些软件需要使用Python2.7

于是只能手动编译升级Python版本

  1. 安装依赖

    1yum install -y gcc openssl-devel
  2. 下载源码包并且编译安装

    1wget https://www.python.org/ftp/python/2.7.11/Python-2.7.11.tgz
    2tar xvf Python-2.7.11.tgz
    3cd Python-2.7.11
    4./configure --prefix=/usr/local/python27
    5make
    6make install
    7# 这时候旧的Python还存在,需要移动或者删除掉
    8rm /usr/bin/python
    9ln -s /usr/local/python27/bin/python /usr/bin/python
  3. 解决yum等软件的问题

    1# CentOS6的yum是不支持Python2.7的,我们需要手动切换到Python2.6
    2# 编辑/usr/bin/yum
    3vim /usr/bin/yum
    4# 将头部的
    5#!/usr/bin/python
    6# 改为
    7#!/usr/bin/python2.6
  4. 安装pip和easy_install

    1wget https://bootstrap.pypa.io/get-pip.py
    2python get-pip.py